Package org.h2.command.dml

# Class RunScriptCommand

java.lang.Object
org.h2.command.Prepared
org.h2.command.dml.RunScriptCommand

public class RunScriptCommand extends Prepared
This class represents the statement RUNSCRIPT

## Field Summary

Fields
Modifier and Type
Field
Description
`protected OutputStream`
`out`
The output stream.
`protected BufferedReader`
`reader`
The input reader.

### Fields inherited from class org.h2.command.Prepared

`create, parameters, prepareAlways, session, sqlStatement, sqlTokens`

## Constructor Summary

Constructors
Constructor
Description
`RunScriptCommand(SessionLocal session)`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getFileName()`
`int`
`getType()`
Get the command type as defined in CommandInterface
`boolean`
`isTransactional()`
Check if this command is transactional.
`boolean`
`needRecompile()`
Check if the statement needs to be re-compiled.
`ResultInterface`
`queryMeta()`
Get an empty result set containing the metadata.
`void`
`setCharset(Charset charset)`
`void`
`setCipher(String c)`
`void`
`setCompressionAlgorithm(String algorithm)`
`void`
`setFileNameExpr(Expression file)`
`void`
`setFrom1X()`
Enables quirks for parsing scripts from H2 1.*.*.
`void`
`setPassword(Expression password)`
`void`
`setQuirksMode(boolean quirksMode)`
Enables or disables the quirks mode.
`void`
`setVariableBinary(boolean variableBinary)`
Changes parsing of a BINARY data type.
`long`
`update()`
Execute the statement.

### Methods inherited from class org.h2.command.Prepared

`checkCanceled, checkParameters, collectDependencies, getCurrentRowNumber, getDatabase, getObjectId, getParameters, getPersistedObjectId, getPlanSQL, getPlanSQL, getSession, getSimpleSQL, getSQL, getSQLTokens, invalidateCachedResult, isCacheable, isQuery, isReadOnly, isRetryable, isWithParamValues, prepare, query, setCommand, setCurrentRowNumber, setParameterList, setPersistedObjectId, setPrepareAlways, setRow, setSession, setSQL, setWithParamValues, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### out

protected OutputStream out
The output stream.

### reader

protected BufferedReader reader
The input reader.

## Constructor Details

### RunScriptCommand

public RunScriptCommand(SessionLocal session)

## Method Details

### update

public long update()
Description copied from class: `Prepared`
Execute the statement.

Overrides:
  `update` in class `Prepared`
Returns:
  the update count

### setCharset

public void setCharset(Charset charset)

### setQuirksMode

public void setQuirksMode(boolean quirksMode)
Enables or disables the quirks mode.

Parameters:
  `quirksMode` - whether quirks mode should be enabled

### setVariableBinary

public void setVariableBinary(boolean variableBinary)
Changes parsing of a BINARY data type.

Parameters:
  `variableBinary` - `true` to parse BINARY as VARBINARY, `false` to parse it as is

### setFrom1X

public void setFrom1X()
Enables quirks for parsing scripts from H2 1.*.*.

### queryMeta

public ResultInterface queryMeta()
Description copied from class: `Prepared`
Get an empty result set containing the metadata.

Specified by:
  `queryMeta` in class `Prepared`
Returns:
  the result set

### getType

public int getType()
Description copied from class: `Prepared`
Get the command type as defined in CommandInterface

Specified by:
  `getType` in class `Prepared`
Returns:
  the statement type

### setCipher

public void setCipher(String c)

### setPassword

public void setPassword(Expression password)

### setFileNameExpr

public void setFileNameExpr(Expression file)

### getFileName

protected String getFileName()

### isTransactional

public boolean isTransactional()
Description copied from class: `Prepared`
Check if this command is transactional. If it is not, then it forces the current transaction to commit.

Specified by:
  `isTransactional` in class `Prepared`
Returns:
  true if it is

### needRecompile

public boolean needRecompile()
Description copied from class: `Prepared`
Check if the statement needs to be re-compiled.

Overrides:
  `needRecompile` in class `Prepared`
Returns:
  true if it must

### setCompressionAlgorithm

public void setCompressionAlgorithm(String algorithm)